{
  "type": "palladium:compound",
  "layers": [
    {
  "type": "geckolib:default",
  "model": "afomni:geo/crystalsapien.geo.json",
  "texture": "afomni:textures/models/crystalsapien/crystalsapien.png",
  "animation_file": "afomni:animations/crystalsapien.animation.json",
  "animation_controller": [
    {
      "name": "block_on",
      "transition_tick_time": 0,
      "animation": "animation.Chromastone.arms"}],
  "conditions": [
    {
      "type": "palladium:ability_integer_property",
      "power": "afomni:crystalsapien",
      "ability": "block_abil",
      "property": "value",
      "min": 1,
      "max": 5}]  
},
{
  "type": "geckolib:default",
  "model": "afomni:geo/crystalsapien.geo.json",
  "texture": {
      "variables": {
        "I": {
          "type": "palladium:entity_ticks",
          "divide": 2,
          "modulo": 9
        }
      }, 
      "base": "afomni:textures/models/crystalsapien/chromastone_color_#I.png"},
      "conditions": [
        {
          "type": "palladium:ability_integer_property",
          "power": "afomni:crystalsapien",
          "ability": "chroma_barrage_charge",
          "property": "value",
          "min": 1,
          "max": 30}]        



    }
  ]
}